Bug 2228 - regression: printing / printer properties dialog fails (drivers installed client side)
regression: printing / printer properties dialog fails (drivers installed cli...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.10
x86 Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-09 09:42 UTC by Andreas Leuner
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments
log output when printer dialog fails (28.45 KB, text/plain)
2005-01-09 09:49 UTC, Andreas Leuner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Leuner 2005-01-09 09:42:38 UTC
Hi all,     
     
Since samba-3.0.10 my setup of a samba connected plotter fails.     
There is a local network with an NT4 style domain with samba as PDC. The     
plotter is shared from samba, but the drivers are installed locally from the     
client machines because Point'n'click installation doesn't work for it (but     
well for other drivers).      
Up to samba-3.0.8 this setup worked well, but after a samba update to version     
3.0.10 the W2k Printer properties page fails to show up and the following error     
message appears instead:     
-----------------------------------------------------------------------     
Funktionsadresse 0x780276af hat eine Schutzverletzung verursacht (Ausnahmecode     
0xc0000005).     
Die Eigenschaftenseiten werden möglicherweise nicht angezeigt.     
-----------------------------------------------------------------------     
which roughly translates as:     
-----------------------------------------------------------------------     
Function address 0x780276af caused an access violation (Exception code     
0xc0000005).     
Possibly the properties dialog cannot be displayed.     
-----------------------------------------------------------------------     
Indead the properties dialog is not displayed. Neither does printing or even     
selecting this plotter in a printing dialog work - the client application     
crashes instead.  
 
Other printers installed at the same server continued to work fine. However 
their drivers were installed via point'n'click (i.e. provided from the server). 
 
I have set samba to log level 3 and attempted to access the printer dialog. The     
log output now contained a message containing the string    
"STATUS_BUFFER_OVERFLOW". I will attach that portion shortly to this report.  
  
Thanks for reading :-)
Comment 1 Andreas Leuner 2005-01-09 09:49:28 UTC
Created attachment 881 [details]
log output when printer dialog fails

Never mind those "No such file or directory" messages. They also appear in the
output of older samba versions when the dialog doesn't fail.
Comment 2 Gerald (Jerry) Carter 2005-02-03 07:25:21 UTC
please test 3.0.11 once it is released tomorrow.  There have been 
a lot of printing fixes there.  
Comment 3 Andreas Leuner 2005-02-05 06:48:22 UTC
Version 3.0.11 indeed seems to fix this bug. Thanks very much!
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:18:53 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.